GET /locations/{id}

Get a Location

This endpoint allows you to get a specific Location.

Operation ID: getLocation
lock This endpoint requires a Bearer token in the Authorization header.

Path Parameters

Name Type Description
id required
path
string

The Location ID

Responses

data union
id string required read-only

ID of the Location

type string required read-only

Model type

building
attributes object required
local_id integer

ID of the Local of type Building

Example: 1

name string required

Location name

Example: Building Name

full_name string required read-only

Names of the location's parents concatenated by hyphen with location name.

Example: Building Full Name

code string required

Location code.

Example: B1

full_code string required read-only

Codes of the location's parents concatenated by dot with location code.

Example: B1

original_full_code string | null read-only

Location original full code.

observation string | null required

Additional information

Example: This is a observation

entity_id integer

ID of the Entity

date_updated string (date-time) | null required read-only

Example: 2020-12-03 12:45:00

has_children boolean required read-only

Indicates whether the location has other locations below it or not.

Example: 1

client_id integer required

ID of the associated client.

Example: 1

local_uuid string (uuid)

UUID of the Local of type Building

Example: aaaaaaa-0000-1111-bbbbbbb

is_from_network boolean read-only

If Building is from network

Example:

assets_count integer | null read-only

Cumulative count of assets in this building (including all nested locations). Only returned when `with_assets_count=true` query parameter is provided.

Example: 5

matched boolean read-only

Indicates whether this building is matched.

Example:

relationships object
files object
data array<object>
type string read-only
file
id string read-only
operators object
data array<object>
type string read-only
operator
id string read-only
id string required read-only

ID of the Location

type string required read-only

Model type

location-folder
attributes object required
entity_id integer
name string required

Folder name

full_name string required read-only

Names of the location's parents concatenated by hyphen with location name.

code string required

Folder code.

full_code string required read-only

Codes of the Folder's parents concatenated by dot with Folder code.

original_full_code string | null read-only

Location original full code.

observation string | null required

Additional information

date_updated string (date-time) | null required read-only

Example: 2020-12-03T12:45:00.000Z

parent_id integer

ID of the Folder parent.

root_parent_id integer read-only

ID of the Folder root parent (of `type` equals to `building`).

is_from_network boolean read-only

If Folder is from network

assets_count integer | null read-only

Cumulative count of assets in this folder (including all nested locations). Only returned when `with_assets_count=true` query parameter is provided.

Example: 5

relationships object
building object
data object
type string read-only
building
id string read-only
id string required read-only

ID of the Location

type string required read-only

Model type

location
attributes object required
entity_id integer
name string required

Location name

full_name string required read-only

Names of the location's parents concatenated by hyphen with location name.

code string required

Location code.

full_code string required read-only

Codes of the location's parents concatenated by dot with location code.

original_full_code string | null read-only

Location original full code.

observation string | null required

Additional information

date_updated string | null required read-only

Example: 2021-07-21 18:38:00

parent_id integer

ID of the location parent.

root_parent_id integer read-only

ID of the location root parent (of `type` equals to `building`).

area number | null

Location area

glass_area number | null

Location glass area

volume number | null

Location volume

orientation string | null

Solar orientation (North, South, West, East)

is_from_network boolean read-only

If Location is from network

local_uuid string (uuid) read-only

Location UUID

assets_count integer | null read-only

Cumulative count of assets (equipment) in this location and all its descendants. Only present when `with_assets_count=true` query parameter is provided.

associations array<string>

List of ways the operator is associated with this building. Possible values are `DIRECT` (via a direct local-operator assignment), `TEAM` (via a team the operator belongs to), and `CLIENT` (via a client the operator is assigned to).

relationships object
building object
data object
type string read-only
building
id string read-only
files object
data array<object>
type string read-only
file
id string read-only
operators object
data array<object>
type string read-only
operator
id string read-only
localOrientation object
data array<object>
type string read-only
localOrientation
id string read-only
status string
error
error object
properties object

Only present when related to property validation error

dev_message string

Example: Property validation error. Check the "properties" section in the response.

http_code integer
400
message string

Example: Property validation error.

more_info string
status string
error
error object
http_code integer
401
message string

Example: Authentication token invalid.

more_info string
status string
error
error object
http_code integer
404
message string

Example: Resource not found

more_info string | null
status string
error
error object
http_code integer
429
message string

Example: Too Many Requests.

more_info string
status string
error
error object
http_code integer
500
message string

Example: An error has occurred during the request.

more_info string